import { API } from '../../lib/api.js';
import glob from "fast-glob";
import path from "path";

export const get = async (req, res) => {
  const api = new API(req, res);

  if(process.env.DANGER_ADMIN === "1") {
    const files = glob.sync("./static/djenterator/!(*.vars|*.swp)");
    return api.reply(200, files.map(f => path.basename(f)));
  } else {
    return api.error(404, "Not Found");
  }
}
